#!/bin/bash

server_addr=$(cat /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json | grep "server_address"| awk -F'"' '{print $4}')
port_up=$(cat /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json | grep "serv_port_up"| awk -F':' '{print $2}'|awk -F, '{print $1}'|awk -F' ' '{print $1}')
port_down=$(cat /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json | grep "serv_port_down"| awk -F':' '{print $2}'|awk -F, '{print $1}'|awk -F' ' '{print $1}')
eth=$(ifconfig eth0 | grep ether |  awk '{print $2}')
wlan=$(ifconfig wlan0 | grep ether |  awk '{print $2}')
disk_G=$(df -h | grep root | awk '{print $3}'| awk -F\"G\" '{print $1}')
disk_p=$(df -h | grep root | awk '{print $5}'| awk -F\"%\" '{print $1}')
logsize=$(du -sh /var/log|awk -F' ' '{print $1}')
tmp=$(free -h | grep Mem | awk '{print $7}' | awk -F'G' '{print $1}')
mem_p=$(echo "scale=2;100-$tmp/2*100"|bc)
mem=$(echo "3-$tmp"|bc)
temperature=$(cat /sys/devices/virtual/thermal/thermal_zone0/temp)
temperature=${temperature:0:2}
region=$(cat /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json | grep "region"| awk -F'"' '{print $4}')
subband=$(cat /root/lora/packet_forwarder/lora_pkt_fwd/global_conf.json | grep "subband"| awk -F':' '{print $2}'|awk -F, '{print $1}')
gwid=$(cat /root/lora/packet_forwarder/lora_pkt_fwd/gwid)
apssid=$(cat /etc/hostapd/hostapd.conf|grep ssid|awk -F'=' '{print $2}')
ip=$(ifconfig eth0|grep inet|head -1|awk -F' ' '{print $2}')
logname=$(cat /etc/apache2/apache2.conf |grep "Require user"|awk -F' ' '{print $3}')
status_4g=$(cat /root/.func/setting_4g)
echo -n {
echo -n \"status_4g\":\"$status_4g\",
echo -n \"apssid\":\"$apssid\",
echo -n \"ethip\":\"$ip\",
echo -n \"logname\":\"$logname\",
echo -n \"eth\":\"$eth\",
echo -n \"wlan\":\"$wlan\",
echo -n \"disk_G\":\"$disk_G\",
echo -n \"disk_p\":\"$disk_p\",
echo -n \"logsize\":\"$logsize\",
echo -n \"mem_p\":$mem_p,
echo -n \"mem\":$mem,
echo -n \"temperature\":\"$temperature\",
echo -n \"region\":\"$region\",
echo -n \"port_up\":\"$port_up\",
echo -n \"port_down\":\"$port_down\",
echo -n \"server_addr\":\"$server_addr\",
echo -n \"subband\":$subband,
echo -n \"gwid\":\"$gwid\"
echo -n }
